#include <stdio.h>
#define MAX 100

int main(){
  int i, j, m, n, k, p;
  int mat[MAX][MAX];
  int suma = 0;
  
  scanf("%d%d", &n, &m);
  
  for(i=0; i<n; i++){
    for(j=0; j<m; j++)
      scanf("%d", &mat[i][j]);
  }
   
 
  scanf("%d%d", &p, &k);
  if(p>n || k>m){
    return -1;
  }
  int t=0;
 
 for(t=0; t<2; t++){
    for(i=t ; i<p; i++){
      for(j=0; j<k; j++){
	suma += mat[i][j];
      }
  }
  printf("%d ", suma);
}
  
return 0;
}